Subject: Building GDB problem
From: [email-masked] (Luke Diamand)

6 Aug 1997 17:24:54 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <2200011106081997/A04771/INDRE/11B832C03900* @MHS>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Original-Cc: [email-masked] (Receipt Notification Requested)
In-Reply-To: <2200011106081997/A04771/INDRE/11B832C03900* @MHS>
X-Mailer: VM 6.22 under 19.15 XEmacs Lucid
Original-Sender: [email-masked]

Hi!

[email-masked] writes:
 > Hi,
 > I apologize if this is an FAQ, but i see nothing about that in the mailing
 > lists.
 > I'm using gnu win32 b18 on NT 4.0 SP3 and i failed to build GDB.
 > Under bash, in the directory my-gdb, i run ../gdb/configure and it recognized
 > correctly the i386-pc-cygwin32 environment.

I think your problem is that in order to build gdb, you also need to
have already built bfd, mmalloc, readline, and various other bits and
bobs.

The simplest thing to do is to build the whole lot in one go - it
takes a long time and a lot of disk space but is easier all round.

You want to say:

% mkdir /gnuwin32/b18/build
% cd /gnuwin32/b18/build
% ../cdk/configure 
% make

Cheers!
Luke Diamand
-- 
Advanced Telecommunications Modules Ltd
Cambridge
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".